Subject: bug#22012: 25.1.50; gdb broken by (json-string-format "doesn't start with `\"'!")

From: martin rudalics <[email-masked]>
Date: Thu, 26 Nov 2015 09:24:30 +0100

>> Setting a breakpoint in gdb currently fails with a message like
 >>
 >>
 >> Debugger entered--Lisp error: (json-string-format "doesn't start with
 >> `\"'!")
 >>    signal(json-string-format ("doesn't start with `\"'!"))
 >>    json-read-string()
 >>    json-read-object()
 >>    apply(json-read-object nil)
 >>    json-read()
 >>    json-read-object()
 >>    apply(json-read-object nil)
 >>    json-read()
 >
 > Could you find out the contents of the buffer it's trying to read?

I'm trying to debug window.c.  But I have no idea if that's what
‘json-read-string’ tries to read.

 > A bisect would be great too, of course. Is this a recent problem?

I've seen it yesterday for the first time.  I can't reproduce it
reliably but it can hit any time, often when next stepping with gdb.
Also I wasn't able to reproduce it on Debian so far.  Bisecting on
Windows is a pain here.

martin